Package wx :: Package lib :: Module hyperlink :: Class HyperLinkEvent

[frames | no frames]

## Type HyperLinkEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
            PyCommandEvent --+
                             |
                            HyperLinkEvent

Event object sent in response to clicking on a `HyperLinkCtrl`.

Method Summary
| ``__init__`(self, eventType, id)` Default Class Constructor.
| ``GetPosition`(self)` Returns Event Position
| ``SetPosition`(self, pos)` Sets Event Position

Property Summary

Method Details

### __init__(self, eventType, id)
(Constructor)

Default Class Constructor.

  Overrides:
    `wx.PyCommandEvent.__init__`

### GetPosition(self)

Returns Event Position

### SetPosition(self, pos)

Sets Event Position

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:31 2007 | http://epydoc.sf.net